<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:48 CET 2016 -->
<title>SelectorItem (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SelectorItem (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorField.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/TabSet.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html" target="_top">Frames</a></li>
<li><a href="SelectorItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui</div>
<h2 title="Class SelectorItem" class="title">Class SelectorItem</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/FormItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.FormItem</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.SelectorItem</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/AddPaymentSelectorItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">AddPaymentSelectorItem</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">SelectorItem</span>
extends <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/FormItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">FormItem</a></pre>
<div class="block">Executes actions on OpenbravoERP selector item built upon SmartClient user interface library.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Button.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Button</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#buttonProcess">buttonProcess</a></span></code>
<div class="block">The button that opens the selector process definition.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#FORMAT_SMART_CLIENT_GET_SELECTOR_WINDOW">FORMAT_SMART_CLIENT_GET_SELECTOR_WINDOW</a></span></code>
<div class="block">Formatting string to get the selector pop up window.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#FORMAT_SMART_CLIENT_LOCATOR_BUTTON_OPEN_PROCESS">FORMAT_SMART_CLIENT_LOCATOR_BUTTON_OPEN_PROCESS</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#FORMAT_SMART_CLIENT_LOCATOR_BUTTON_SEARCH">FORMAT_SMART_CLIENT_LOCATOR_BUTTON_SEARCH</a></span></code>
<div class="block">Formatting string to get the SmartClient locator of the search button.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#FORMAT_SMART_CLIENT_GET_LOCATOR">FORMAT_SMART_CLIENT_GET_LOCATOR</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#objectString">objectString</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientLocator">smartClientLocator</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#SelectorItem-java.lang.String-">SelectorItem</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#click--">click</a></span>()</code>
<div class="block">Click the selector item.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#enterText-java.lang.String-">enterText</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text)</code>
<div class="block">Enter a text on the combo box of the selector item.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#getSelectorWindowObjectString--">getSelectorWindowObjectString</a></span>()</code>
<div class="block">Get the object string of the selector window.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#getTargetEntity--">getTargetEntity</a></span>()</code>
<div class="block">Get the target entity of the search item.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#getText--">getText</a></span>()</code>
<div class="block">Get the selected text.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#getType--">getType</a></span>()</code>
<div class="block">Get the type of the search item.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#openSelectorPopUp--">openSelectorPopUp</a></span>()</code>
<div class="block">Open the selector pop up.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#selectEnteringSearchKey-com.openbravo.test.integration.erp.data.selectors.SelectorDataObject-">selectEnteringSearchKey</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/SelectorDataObject.html" title="class in com.openbravo.test.integration.erp.data.selectors">SelectorDataObject</a>&nbsp;data)</code>
<div class="block">Set a record from the selector entering the search key on the text field and selecting the
 value from the list item.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html#selectFromComboBox-com.openbravo.test.integration.erp.data.DataObject-">selectFromComboBox</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a>&nbsp;data)</code>
<div class="block">Select a record from the selector using the combo box.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.FormItem">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/FormItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">FormItem</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/FormItem.html#getSmartClientLocator--">getSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/FormItem.html#waitUntilLoaded--">waitUntilLoaded</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#cleanSmartClientLocator-java.lang.String-">cleanSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#focus--">focus</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getAttribute-com.openbravo.test.integration.selenium.Attribute-">getAttribute</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getInformationForLog--">getInformationForLog</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getObjectString--">getObjectString</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getTitle--">getTitle</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#hideMenuClick--">hideMenuClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabled--">isEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabledSmartClient--">isEnabledSmartClient</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isFocused--">isFocused</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isPresent--">isPresent</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isVisible--">isVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressDelete--">pressDelete</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressEnter--">pressEnter</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressTab--">pressTab</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToBottom--">scrollToBottom</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToTop--">scrollToTop</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#setSmartClientLocator-java.lang.String-">setSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#showMenuClick--">showMenuClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientBlur--">smartClientBlur</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientClick--">smartClientClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientSetValue-java.lang.String-">smartClientSetValue</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#virtualClick--">virtualClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilEnabled--">waitUntilEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilNotVisible--">waitUntilNotVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilVisible--">waitUntilVisible</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="FORMAT_SMART_CLIENT_GET_SELECTOR_WINDOW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FORMAT_SMART_CLIENT_GET_SELECTOR_WINDOW</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FORMAT_SMART_CLIENT_GET_SELECTOR_WINDOW</pre>
<div class="block">Formatting string to get the selector pop up window. The parameter is the object string.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.SelectorItem.FORMAT_SMART_CLIENT_GET_SELECTOR_WINDOW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FORMAT_SMART_CLIENT_LOCATOR_BUTTON_SEARCH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FORMAT_SMART_CLIENT_LOCATOR_BUTTON_SEARCH</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FORMAT_SMART_CLIENT_LOCATOR_BUTTON_SEARCH</pre>
<div class="block">Formatting string to get the SmartClient locator of the search button. The parameter is the
 selector item locator.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.SelectorItem.FORMAT_SMART_CLIENT_LOCATOR_BUTTON_SEARCH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FORMAT_SMART_CLIENT_LOCATOR_BUTTON_OPEN_PROCESS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FORMAT_SMART_CLIENT_LOCATOR_BUTTON_OPEN_PROCESS</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
protected static final&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FORMAT_SMART_CLIENT_LOCATOR_BUTTON_OPEN_PROCESS</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.SelectorItem.FORMAT_SMART_CLIENT_LOCATOR_BUTTON_OPEN_PROCESS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="buttonProcess">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>buttonProcess</h4>
<pre>protected final&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Button.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Button</a> buttonProcess</pre>
<div class="block">The button that opens the selector process definition.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SelectorItem-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SelectorItem</h4>
<pre>public&nbsp;SelectorItem(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>objectString</code> - JavaScript expression that can be evaluated to get a reference to the SmartClient GUI
          object.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="click--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>click</h4>
<pre>public&nbsp;void&nbsp;click()</pre>
<div class="block">Click the selector item.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#click--">click</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></code></dd>
</dl>
</li>
</ul>
<a name="getSelectorWindowObjectString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelectorWindowObjectString</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSelectorWindowObjectString()</pre>
<div class="block">Get the object string of the selector window.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the object string of the selector window.</dd>
</dl>
</li>
</ul>
<a name="openSelectorPopUp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openSelectorPopUp</h4>
<pre>public&nbsp;void&nbsp;openSelectorPopUp()</pre>
<div class="block">Open the selector pop up.</div>
</li>
</ul>
<a name="getTargetEntity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetEntity</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTargetEntity()</pre>
<div class="block">Get the target entity of the search item.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the target entity.</dd>
</dl>
</li>
</ul>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getType()</pre>
<div class="block">Get the type of the search item.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the type.</dd>
</dl>
</li>
</ul>
<a name="enterText-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterText</h4>
<pre>public&nbsp;void&nbsp;enterText(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;text)</pre>
<div class="block">Enter a text on the combo box of the selector item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - The text to enter.</dd>
</dl>
</li>
</ul>
<a name="selectFromComboBox-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectFromComboBox</h4>
<pre>public&nbsp;void&nbsp;selectFromComboBox(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a>&nbsp;data)</pre>
<div class="block">Select a record from the selector using the combo box.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - The data of the record that will be selected.</dd>
</dl>
</li>
</ul>
<a name="selectEnteringSearchKey-com.openbravo.test.integration.erp.data.selectors.SelectorDataObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectEnteringSearchKey</h4>
<pre>public&nbsp;void&nbsp;selectEnteringSearchKey(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/SelectorDataObject.html" title="class in com.openbravo.test.integration.erp.data.selectors">SelectorDataObject</a>&nbsp;data)</pre>
<div class="block">Set a record from the selector entering the search key on the text field and selecting the
 value from the list item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - The data of the record that will be selected.</dd>
</dl>
</li>
</ul>
<a name="getText--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getText</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getText()</pre>
<div class="block">Get the selected text.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getText--">getText</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the selected text.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorField.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/TabSet.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorItem.html" target="_top">Frames</a></li>
<li><a href="SelectorItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
